# Uses of Interface
org.eclipse.emf.cdo.security.ClassPermission

Packages that use ClassPermission
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of ClassPermission in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return ClassPermission
Modifier and Type
Method
Description
`ClassPermission`
SecurityFactory.`createClassPermission()`
Deprecated.
As of 4.3 use `SecurityFactory.createFilterPermission()` and `SecurityFactory.createClassFilter()`.
`ClassPermission`
SecurityFactory.`createClassPermission(EClass eClass, Access access)`
Deprecated.
As of 4.3 use `SecurityFactory.createFilterPermission(Access, PermissionFilter...)` and `SecurityFactory.createClassFilter(EClass)`.

## Uses of ClassPermission in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement ClassPermission
Modifier and Type
Class
Description
`class`
`ClassPermissionImpl`
Deprecated.
Methods in org.eclipse.emf.cdo.security.impl that return ClassPermission
Modifier and Type
Method
Description
`ClassPermission`
SecurityFactoryImpl.`createClassPermission()`
Deprecated.
`ClassPermission`
SecurityFactoryImpl.`createClassPermission(EClass eClass, Access access)`
Deprecated.

## Uses of ClassPermission in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type ClassPermission
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseClassPermission(ClassPermission object)`
Returns the result of interpreting the object as an instance of 'Class Permission'.
`boolean`
SecurityValidator.`validateClassPermission(ClassPermission classPermission, DiagnosticChain diagnostics, Map<Object,Object> context)`